#!/bin/bash

#
# Sites image capture script
#
# This file receives a site's URL as argumet and performs an image "screenshot"
# of the site.
# It has issues capturing sites with redirectios. Please provide final URLs.
#
# LICENSE: WTFPL – Do What the Fuck You Want to Public License.
# That is available through the world-wide-web at the following URI:
# http://www.wtfpl.net/
#
# @category   Security
# @package    Yari-Module
# @author     Paul F. Bernal B. <paul.bernal@cedia.org.ec>
# @copyright  2013-2014 Paul F. Bernal B.
# @license    http://www.wtfpl.net/  WTFPL
# @version    0.9
#

################################################################################
# FUNCTIONS SECTION
showUsage() {
  cat <<AYUDA
Uso: $0 <URL>
Ejemplo: $0 www.ecualinux.com
AYUDA
}

################################################################################
# MAIN SECTION

# Check for some requirements
hash phantomjs 2>/dev/null || { echo >&2 "Se requiere phantomjs y no está instalado. Abortando."; exit 1; }

# Check if at most one parameter has been passed by
[ -n "$1" ] || { showUsage; exit 1; };

# Defines the temp JS file that willcontaining PhantomJS capture code
tFile="/tmp/capture.js"

# Builds the propper file contents and writes to temp file
cat > $tFile <<CAPTURE
var page = require('webpage').create();
page.open('http://$1', function () {
    page.render('$1.png');
    phantom.exit();
});
CAPTURE

# Performs the actual capture
phantomjs $tFile
rm -f $tFile

