#!/bin/bash

#
# Sites full capture script (code & image)
#
# This file use a text file containing a list of sites to be captured and 
# for each of them, performs a code & image capture of the site.
# Relays and requires captureSite.sh to function propperly.
#
# LICENSE: WTFPL – Do What the Fuck You Want to Public License.
# That is available through the world-wide-web at the following URI:
# http://www.wtfpl.net/
#
# @category   Security
# @package    Yari-Module
# @author     Paul F. Bernal B. <paul.bernal@cedia.org.ec>
# @copyright  2013-2014 Paul F. Bernal B.
# @license    http://www.wtfpl.net/  WTFPL
# @version    0.9
#

################################################################################
# MAIN SECTION

# Check for some requirements
hash wget 2>/dev/null || { echo >&2 "Se requiere wget y no está instalado. Abortando."; exit 1; }
hash captureSite.sh 2>/dev/null || { echo >&2 "Se requiere captureSite.sh y no está instalado. Abortando."; exit 1; }

# Defines the App path where the captures will be stored
appDataPath=/var/www/qhaway/data
#Defines yii app configuration filename
yiiConfigFile="/etc/qhaway/config.php"
# Save the original path so we can return there at the end
orgPath=`pwd`

# Let's go into appDataPath to work in there
cd $appDataPath
# Get sites list from database
myDBname=$(grep "dbname=" $yiiConfigFile|awk -Fme= {'print $2'}|awk -F\' {'print $1'})
myUserName=$(grep "'username'" $yiiConfigFile|awk -F"=> '" {'print $2'}|awk -F\' {'print $1'})
myPassword=$(grep "'password'" $yiiConfigFile|awk -F"=> '" {'print $2'}|awk -F\' {'print $1'})
sitesList=$(mysql -u$myUserName -p$myPassword $myDBname -e"SELECT url FROM Site\G;"|grep "url: "|awk {'print $2'})
# Let's catch the date for a consistent way of naming dirs
today=`date +%Y%m%d`
# if directory with 'current date' name dont's exist, create it!
[ -d "$today" ] || { mkdir $today; };
# and goes in there
cd $today

# Now captures each site in the list
for site in $sitesList
do
	# Writes some info
	echo Downloading... "$site"
	# Downloads the entire page into a monolitic file
	wget -p "http://$site" -O "$site.out"
	# Downloads just the HTML code of it
	wget "http://$site" -O "$site.html"
	# And gets a "screenshot" of it
	captureSite.sh "$site"
done

# Finally let's return to the original path from which we started
cd $orgPath

exit 0 
